Subject: RE: Horrid Configuration - more data. Help Please
From: "Vince Rice" <[email-masked]>
To: "Charles Wilson" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 3 Aug 2000 22:09:17 -0500

I tried this guys stuff a couple of weeks ago and ran into some problems.
Specifically, I need to 'sed' a large (70MB) file.  His 'sed' ran for
several minutes, then errored with a "not enough memory" or some such memory
(I truly don't remember).  I dl'd the Cygwin DLL and sed, unzipped them, and
voila', the Cygwin sed ran without a problem (in less time).

I do admit the idea of native NT versions is attractive, especially since I
couldn't get Cygwin's sed to recognize paths (from cmd, not bash),
regardless of how I entered them.  I had to put sed in the same directory as
the file to be 'sed'ed, which worked fine.  I tried
	sed \dir\dir\filename.ext
and
	sed /dir/dir/filename.ext

and neither worked (gave "no such file" type of message).  I know we're
supposed to be able to run the executables from cmd, but I couldn't find
anything in either the user manual or in the archives (I made an attempt to
search the archives, but I really had no idea on what words to search <g>).

Vince

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Charles Wilson
Sent: Thursday, August 03, 2000 10:31 AM
To: [email-masked]
Cc: [email-masked]
Subject: Re: Horrid Configuration - more data. Help Please

Perhaps you've already considered this, and I
feel...disloyal...mentioning it, but it's possible Cygwin is not the
right platform for your purposes.  What about mingw + a suite of
natively-compiled unix-like tools?  It's been my experience that you
almost *have* to use a unix shell (bash, tcsh, zsh, etc) with cygwin
tools, or weird problems crop up.  It's *possible* to run everything
from command.com, but awkward and will probably cause more problems for
your windows-addicted associates and students than it solves, IMO.

Check out mingw:
   http://www.mingw.org/

I can't recommend this suite of tools, 'cause the guy is violating the
GPL -- but if enough people pester him maybe he'll put the source code
up on his site:
   http://www.weihenstephan.de/~syring/win32/UnxUtils.html
There are other alternatives that comply with the GPL, however:
   http://virtunix.itribe.net/

--Chuck

Dave Whiteley wrote:
>
> As stated in another message.... but now more details.
>
> We have a lab full of PCs, all with secured desk tops, running NT. We
> can do some configuration, but not all, as we do not administer the
> usernames used on these machines. We can set some environmental
> variables and map some drives when "our" students log on.
>
> I want the students to be able to use xemacs to edit, and gcc to
> compile C and C++ code. The students "should" have experienced using
> the DOS command prompt, but will not have encountered Bash, and we
> will not have time to teach it, and unix directory structure to them
> (not to mention friction from Windows addict collegues).
>
> (I also want access to the other utilities so that I do not curse
> and swear when I type ls not DIR, cat not TYPE and so on)
>
> So, I need to set the system up to run gcc etc. from the NT/Dos
> command prompt.
>
> We have already set up the path, and gcc, ls et. al. runs. What is
> failing is that gcc does not find include files (and probably lib
> files, but we have not got that far yet.)
>
> All the recent Cygwin documentation I have found assumes use under
> Bash where the unix like file system solves these problems.
>
> Also, if we run xemacs from an icon, and then compile from within
> that, I assume xemacs will inherit the "default" environment, and
> then gcc will inherit that. (Please correct me if I am wrong.)
>
> We cannot ask the first time users to type in a long command with all
> the flags and options, so we need to set up the defaults (probably via
> environmental variables).
>
> I have looked at some gcc documentation, but it assumes unix directory
> structures.
>
> (I remember the useful envvar "DJGPP" that solved this problem for us
> before NT.)
>
> Thanks,
>     Dave Whiteley
>
> ----------------------------------
> E-Mail: Dave Whiteley <[email-masked]>
> Date: 03-Aug-2000
> Time: 15:25:20
>
> This message has been disinfected.
> It does not contain the Linux .sig virus.
> ----------------------------------
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]